%define name xmms-crossfade
%define version 0.3.12
%define release %mkrel 1
%define build_audacious 1

Name:          %name
Summary:       Crossfade output plugin for XMMS
Version:       %version
Release:       %release
Group:         Sound
License:       GPL
BuildRequires: xmms 
BuildRequires: libxmms-devel
BuildRequires: libsamplerate-devel
BuildRequires: automake1.8
Requires:      xmms
Url:		http://www.eisenlohr.org/xmms-crossfade/news.html
Source:        http://www.eisenlohr.org/xmms-crossfade/%name-%version.tar.bz2
BuildRoot:     %_tmppath/%name-buildroot


%description
xmms-crossfade: XMMS Output Plugin for Crossfading / Continuous Output
----------------------------------------------------------------------

Features:
---------
  * Crossfading
  * Continuous output
  * Gap-Killer: Some mp3-encoders produce small gaps of silence at the
    beginning or end of the stream. They can automatically be detected
    and removed.

%if %build_audacious
%package -n audacious-crossfade
Group: Sound
Summary: Crossfade output plugin for Audacious
BuildRequires: audacious-devel
BuildRequires: audacious
Requires: audacious
Provides: beep-media-player-crossfade
Obsoletes: beep-media-player-crossfade

%description -n audacious-crossfade
Audacious Output Plugin for Crossfading / Continuous Output
----------------------------------------------------------------------

Features:
---------
  * Crossfading
  * Continuous output
  * Gap-Killer: Some mp3-encoders produce small gaps of silence at the
    beginning or end of the stream. They can automatically be detected
    and removed.
%endif

%prep
%setup -q
mkdir xmms-build audacious-build

%build
cd xmms-build
CONFIGURE_TOP=.. %configure2_5x --enable-player=xmms
%make
%if %build_audacious
cd ../audacious-build
CONFIGURE_TOP=.. %configure2_5x --enable-player=audacious
%make
%endif

%install
rm -rf $RPM_BUILD_ROOT
cd xmms-build
%makeinstall libdir=%buildroot%{_libdir}/xmms/Output/
%if %build_audacious
cd ../audacious-build
%makeinstall libdir=%buildroot%{_libdir}/audacious/Output/
%endif
rm -f %buildroot%{_libdir}/*/Output/libcrossfade.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README ChangeLog
%{_libdir}/xmms/Output/libcrossfade.so

%if %build_audacious
%files -n audacious-crossfade
%defattr(-,root,root)
%doc AUTHORS README ChangeLog
%{_libdir}/audacious/Output/libcrossfade.so
%endif


%changelog
* Sun Mar 04 2007 Götz Waschk <waschk@mandriva.org> 0.3.12-1mdv2007.0
+ Revision: 132705
- new version
- drop patch

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 0.3.11-4mdv2007.1
+ Revision: 125922
- rebuild

* Fri Feb 16 2007 Götz Waschk <waschk@mandriva.org> 0.3.11-3mdv2007.1
+ Revision: 121658
- rebuild for audacious 1.2

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 0.3.11-2mdv2007.1
+ Revision: 106076
- Import xmms-crossfade



* Mon Jan  8 2007 Gtz Waschk <waschk@mandriva.org> 0.3.11-2mdv2007.1
- patch for new audacious

* Fri Jul 14 2006 Gtz Waschk <waschk@mandriva.org> 0.3.11-1mdv2007.0
- reenable audacious plugin
- fix build
- New release 0.3.11

* Wed Jun 28 2006 Gtz Waschk <waschk@mandriva.org> 0.3.10-4mdv2007.0
- disable audacious again

* Mon Mar  6 2006 Gtz Waschk <waschk@mandriva.org> 0.3.10-3mdk
- reenable audacious plugin

* Mon Dec 12 2005 Gtz Waschk <waschk@mandriva.org> 0.3.10-2mdk
- disable audacious plugin

* Sun Dec  4 2005 Gtz Waschk <waschk@mandriva.org> 0.3.10-1mdk
- drop patches
- New release 0.3.10

* Fri Dec  2 2005 Gtz Waschk <waschk@mandriva.org> 0.3.9-3mdk
- drop bmp plugin

* Thu Dec  1 2005 Gtz Waschk <waschk@mandriva.org> 0.3.9-2mdk
- fix bmp plugin linkage
- mkrel 
- fix URL
- add audacious plugin

* Wed Nov 30 2005 Gtz Waschk <waschk@mandriva.org> 0.3.9-1mdk
- build fixes
- add beep-media-player suppport
- New release 0.3.9

* Fri Jun  3 2005 Gtz Waschk <waschk@mandriva.org> 0.3.8-2mdk
- patch for new gcc

* Fri Sep 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.8-1mdk
- 0.3.8

* Fri Sep 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.6-1mdk
- update buildrequires
- New release 0.3.6

* Sun Aug  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.5-1mdk
- add source URL
- New release 0.3.5

* Thu Oct  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.4-1mdk
- fix buildrequires
- drop prefix
- new version

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-1mdk
- new version

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-1mdk
- spec fixes
- new version

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.9-4mdk
- fix buildrequires

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.9-3mdk
- rebuild

* Wed Aug 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.9-2mdk
- url

* Fri Jun 22 2001 Lenny Cartier <lenny@mandrakesoft.com>0.2.9-1mdk
- updated to 0.2.9 by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.2.9

* Mon May 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.8-1mdk
- updated to 0.2.8

* Wed Apr 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.7-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.2.7

* Sun Mar 25 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.2.6-1mdk
- 0.2.6

* Tue Mar 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.2.5

* Tue Mar 13 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.2.4-1mdk
- 0.2.4

* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.3-1mdk
- used srpm from  Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.2.3
	- %%configure macro

* Mon Dec 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-1mdk
- updated to 0.2.2 by Gtz Waschk <waschk@linux-mandrake.com> 

* Wed Nov 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-1mdk
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.2.1
	- changed BuildReq for libxmms-devel

* Mon Nov 20 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- 0.2
- don't use configure macro
- fix installation

* Tue Oct  3 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- initial Mandrake build
